cURL
curl --request POST \ --url https://api.payvessel.com/kyc/api/v1/merchant/documents/voters-card \ --header 'Content-Type: <content-type>' \ --header 'api-key: <api-key>' \ --header 'api-secret: <api-secret>' \ --data ' { "voters_id": "AKD12345678901" } '
200
successfulVerification
{ "success": true, "message": "Voter's card verification completed successfully", "data": { "first_name": "John", "middle_name": "Adebayo", "last_name": "Doe", "gender": "MALE", "birth_date": "1992-08-14", "photo": "/9j/4AAQSkZJRgABAQAAAQABAAD...", "voters_id": "AKD12345678901", "polling_unit": "Ward 4 Unit 12", "state": "Lagos", "lga": "Ikeja" }, "charges": { "charged": false, "charged_amount": "0.00" } }
Verify a voter’s card and retrieve the identity details attached to the voter ID.
Your PayVessel API key
Your PayVessel API secret
Request content type
application/json
Voter's identification number
"AKD12345678901"
Voter's card verification response
true
"Voter's card verification completed successfully"
Show child attributes